<div class="card">
    <div class="card-header">
        <div class="row">
            <div class="col col-md-6">
                <h5 class="card-title">
                    {{ 'Books' | abpLocalization }}
                </h5>
            </div>
            <div class="text-end col col-md-6">

                <div class="text-lg-end pt-2">
                    <button *abpPermission="'ExampAbp.Library.Create'" id="create" class="btn btn-primary" type="button"
                        (click)="createBook()">
                        <i class="fa fa-plus me-1"></i>
                        <span>{{ "::New Book" | abpLocalization }}</span>
                    </button>
                </div>
            </div>

            <div class="col-md-4">
                <div class="input-group mb-3">
                    <input type="text" class="form-control" placeholder="{{ '::Search' | abpLocalization }}"
                        [(ngModel)]="searchTerm" (input)="onSearchTermChange()">

                    <button class="btn btn-outline-secondary" type="button" (click)="searchBooks()">
                        {{ '::Search' | abpLocalization }}
                    </button>
                </div>
            </div>

        </div>
    </div>

    <div class="card-body">

        <ngx-datatable [rows]="book.items" [count]="book.totalCount" [list]="list" default>
            <ngx-datatable-column *ngIf="hasEditPermission || hasDeletePermission"
                [name]="'::Actions' | abpLocalization" [maxWidth]="150" [sortable]="false">
                <ng-template let-row="row" ngx-datatable-cell-template>
                    <div ngbDropdown container="body" class="d-inline-block">
                        <button class="btn btn-primary btn-sm dropdown-toggle" data-toggle="dropdown"
                            aria-haspopup="true" ngbDropdownToggle>
                            <i class="fa fa-cog me-1"></i>{{ '::Actions' | abpLocalization }}
                        </button>
                        <div ngbDropdownMenu>
                            <button *abpPermission="'ExampAbp.Library.Edit'" ngbDropdownItem (click)="editBook(row.id)">
                                {{ '::Edit' | abpLocalization }}
                            </button>
                            <button *abpPermission="'ExampAbp.Library.Delete'" ngbDropdownItem (click)="delete(row.id)">
                                {{ '::Delete' | abpLocalization }}
                            </button>
                        </div>
                    </div>
                </ng-template>
            </ngx-datatable-column>
            <ngx-datatable-column [name]="'::Name' | abpLocalization" prop="name"></ngx-datatable-column>
            <ngx-datatable-column [name]="'::Stock' | abpLocalization" prop="stock"></ngx-datatable-column>
            <ngx-datatable-column [name]="'::NumberPage' | abpLocalization" prop="numberPage"></ngx-datatable-column>
            <ngx-datatable-column [name]="'::AuthorName' | abpLocalization" prop="authorName"></ngx-datatable-column>
            <ngx-datatable-column [name]="'::ShelFloor' | abpLocalization" prop="shelFloor"></ngx-datatable-column>
            <ngx-datatable-column [name]="'::ShelfNumber' | abpLocalization" prop="shelfNumber"></ngx-datatable-column>
            <ngx-datatable-column [name]="'::CategoryName' | abpLocalization"
                prop="categoryName"></ngx-datatable-column>


        </ngx-datatable>
    </div>
</div>
<abp-modal [(visible)]="isModalOpen">
    <ng-template #abpHeader>
        <h3>{{ (selectedBook.id ? '::Edit' : '::NewBook' ) | abpLocalization }}</h3>
    </ng-template>

    <ng-template #abpBody>
        <form [formGroup]="formGroup" (ngSubmit)="save()">
            <div class="mt-2">
                <label for="book-name">Name</label><span> * </span>
                <input type="text" id="book-name" class="form-control" formControlName="name" autofocus />
            </div>
            <div class="mt-2">
                <label for="book-stock">Stock</label><span> * </span>
                <input type="number" id="book-stock" class="form-control" formControlName="stock" autofocus />
            </div>
            <div class="mt-2">
                <label for="book-number">NumberPage</label><span> * </span>
                <input type="number" id="book-number" class="form-control" formControlName="numberPage" autofocus />
            </div>
            <div class="mt-2">
                <label for="book-author">Author Name</label><span> * </span>
                <select id="book-author" class="form-control" formControlName="authorName">
                    <option value="">Lütfen Yazar Seçiniz</option>
                    <option *ngFor="let author of authorList" [value]="author">{{ author }}</option>
                </select>
            </div>
            <div class="mt-2">
                <label for="book-shelFloor">ShelFloor</label><span> * </span>
                <input type="text" id="book-shelFloor" class="form-control" formControlName="shelFloor" autofocus />
            </div>
            <div class="mt-2">
                <label for="book-shelfNumber">ShelfNumber</label><span> * </span>
                <input type="text" id="book-shelfNumber" class="form-control" formControlName="shelfNumber" autofocus />
            </div>
            <div class="mt-2">
                <label for="categoryName">CategoryName</label><span> * </span>
                <select id="categoryName" class="form-control" formControlName="categoryName" multiple>
                    <option *ngFor="let category of categoryList" [value]="category">{{ category }}</option>
                </select>
            </div>
        </form>

    </ng-template>


    <ng-template #abpFooter>
        <button type="button" class="btn btn-secondary" abpClose>
            {{ '::Close' | abpLocalization }}
        </button>

        <button class="btn btn-primary" (click)="save()" [disabled]="formGroup.invalid">
            <i class="fa fa-check mr-2"></i>
            {{ '::Save' | abpLocalization }}
        </button>
    </ng-template>
</abp-modal>